package sms

import (
	base_ctl "SCRM/controllers"
	"SCRM/enums"
	"SCRM/service/sms_service"

	"github.com/astaxie/beego"
)

func SMSCtlRegistRouters() {
	beego.Router("/api/sms/records", &SMSController{}, "get:GetSendRecords")
}

type SMSController struct {
	base_ctl.BaseAuthAPIController
}

// /api/sms/records [get]
// @param page:int
func (this *SMSController) GetSendRecords() {
	page, _ := this.GetInt("page")
	if page <= 0 {
		page = 1
	}

	adminUserInfo := this.GetAdminUserInfo()
	records, total, getRecordErr := sms_service.GetBatchSendRecords(adminUserInfo.CurrentOrgId, page, 10)
	if getRecordErr != nil {
		this.ErrorLog("获取短信批次记录失败:%v", getRecordErr)
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeDataException)
		return
	}

	this.ServeSuccessJSON(map[string]interface{}{
		"records": records,
		"total":   total,
	})
}
