package models

type UserMembershipCard struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CardName        string `gorm:"column:card_name" json:"card_name" form:"card_name"`
	CardLevel       int64  `gorm:"column:card_level" json:"card_level" form:"card_level"`
	UpgradeIntegral int64  `gorm:"column:upgrade_integral" json:"upgrade_integral" form:"upgrade_integral"`
	CardRight       string `gorm:"column:card_right" json:"card_right" form:"card_right"`
	UseNotice       string `gorm:"column:use_notice" json:"use_notice" form:"use_notice"`
	BackgroundType  int64  `gorm:"column:background_type" json:"background_type" form:"background_type"`
	Background      string `gorm:"column:background" json:"background" form:"background"`
	ServicePhone    string `gorm:"column:service_phone" json:"service_phone" form:"service_phone"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (UserMembershipCard) TableName() string {
	return "sgj_user_membership_card"
}

type UserCard struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CustomerId   int64  `gorm:"column:customer_id" json:"customer_id" form:"customer_id"`
	CardId       int64  `gorm:"column:card_id" json:"card_id" form:"card_id"`
	CardNo       string `gorm:"column:card_no" json:"card_no" form:"card_no"`
	CardName     string `gorm:"column:card_name" json:"card_name" form:"card_name"`
	CardIntegral int64  `gorm:"column:card_integral" json:"card_integral" form:"card_integral"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (UserCard) TableName() string {
	return "sgj_user_user_card"
}

type MembershipRights struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Rights      string `gorm:"column:rights" json:"rights" form:"rights"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (MembershipRights) TableName() string {
	return "sgj_user_membership_rights"
}
