package staff_service

import (
	"SCRM/models"
	"SCRM/service"
)

func AddStaffInfo(info models.SgjUserStaffInfo) error  {
	err := service.UserWriteDB().Create(&info).Error
	return  err
}

func  GetAllStaffInfo(orgID int64,page int64,limit int64,keyword string)(userStaffInfo  []*models.SgjUserStaffInfo,total int64,err error){

	db := service.UserReadDB().Table("sgj_user_staff_info as s").Where("s.status = 1")
	if(orgID>0){
		db = db.Where("s.user_org_id = ?", orgID)
	}

	if len(keyword) >0{
		keyword = "%" + keyword + "%"
		db.Where("s.name LIKE ? AND s.user_title LIEK ?",keyword,keyword)
	}

	offset := (page - 1) * limit
	err = db.Count(&total).Order("s.ctime desc").Offset(offset).Limit(limit).
		Select("s.id,s.name,s.phone,s.birthday,s.gender,s.user_type,s.user_title,s.dochead,s.content,s.ctime,s.mtime,s.status,s.user_org_id").Find(&userStaffInfo).Error

	if err != nil {
		return
	}
	return
}

